[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.AfterCancel

Event triggered after a Cancel operation.

## Declaration

Source position: db.pas line 1757

`public property TDataSet.AfterCancel : TDataSetNotifyEvent read FAfterCancel write FAfterCancel;`

## Description

AfterCancel is triggered when the TDataset.Cancel operation was successfully completed, and the dataset is again in dsBrowse state.

## See also

TDataset.BeforeCancel |  | Event triggered before a Cancel operation.
TDataset.Cancel |  | Cancel the current editing operation
TDataset.State |  | Current operational state of the dataset